import connectionServer

s = connectionServer.connectionServer('', 50000, 50000)
s.start()

while 1:
  input = raw_input('> ')
  if input == '/q': break
  elif input == '/clients':
    for id in s.clients:
      print id, ':', s.clients[id].addr
  elif input == '/udpchannels':
    i = 0
    for channel in s.UDPChannels:
      print '%i : UDP channel listening on port %i and sending to %s:%i' % (i, channel.localAddr[1], channel.distantAddr[0], channel.distantAddr[1])
      i += 1
  elif input.find('/createudp') == 0:
    cmd, clientId = input.split(' ', 1)
    s.createUDPChannel(clientId)
  elif input.find('/sendudp') == 0:
    cmd, dest, data = input.split(' ', 2)
    dest = int(dest)
    s.UDPChannels[dest].send(data)

s.stop()
